import { StyleSheet } from 'react-native'
import appColors from '../../../../theme/appColors'
import {
  windowHeight,
  windowWidth,
  fontSizes,
} from '../../../../theme/appConstant'
import appFonts from '../../../../theme/appFonts'

const styles = StyleSheet.create({
  pickerButton: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    width: '90%',
  },
  codeText: {
    fontSize: fontSizes.FONT3HALF1,
    color: appColors.black,
    top: windowHeight(0),
    right: windowHeight(2),
  },

  main: {
    flex: 1,
  },
  main1: {
    fontSize: fontSizes.FONT5,
    fontFamily: appFonts.bold,
    marginTop: windowHeight(2),
    textAlign: 'center',
  },
  sub: {
    color: appColors.secondaryFont,
    marginTop: windowHeight(0.5),
    fontSize: fontSizes.FONT3HALF1,
    fontFamily: appFonts.medium,
    marginBottom: windowHeight(2),
    textAlign: 'center',
  },
  subView: {
    height: '100%',
  },
  space: {
    marginHorizontal: windowWidth(5),
    marginTop: windowHeight(3),
    borderRadius: windowWidth(4.5),
    width: '92%',
    paddingHorizontal: windowWidth(4),
  },
  margin: {
    marginVertical: windowHeight(2),
    marginBottom: windowHeight(1.8),
  },
  codeComponent: {
    marginRight: windowWidth(3),
  },
  countryCode: {
    height: windowHeight(5.9),
    width: windowWidth(15),
    paddingVertical: windowHeight(1),
    borderRadius: windowHeight(0.8),
    alignItems: 'center',
    justifyContent: 'center',
  },
  dialCode: {
    color: appColors.secondaryFont,
    fontSize: fontSizes.FONT3HALF,
    fontFamily: appFonts.medium,
  },
  errorText: {
    color: appColors.red,
    fontSize: fontSizes.FONT3,
    marginTop: 4,
  },
  number: {
    color: appColors.secondaryFont,
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT4,
    width: '100%',
    marginTop: windowHeight(0.3),
  },
  password: { bottom: windowHeight(0.6) },
  email: { top: windowHeight(0.8) },
  phone: {
    width: '71%',
    height: windowHeight(5.5),
    borderRadius: windowHeight(0.6),
    overflow: 'hidden',
  },
  country: {
    marginBottom: windowHeight(0),
    marginTop: windowHeight(0.3),
  },
  mobileNumber: { fontFamily: appFonts.medium, bottom: windowHeight(0.5) },
  name: { bottom: windowHeight(0.9) },
  view: {
    marginRight: windowWidth(10),
  },
  placeholderStyles: {
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT4,
  },
  text: { fontFamily: appFonts.regular },
  container: { marginBottom: windowHeight(0) },
  input: {
    width: '100%',
    borderRadius: windowWidth(15),
    height: windowHeight(6),
    paddingHorizontal: windowWidth(2),
    alignItems: 'center',
    borderWidth: windowWidth(0.32),
  },
  divison: {
    height: windowHeight(3),
    width: windowWidth(0.4),
    backgroundColor: appColors.red,
    alignSelf: 'center',
    marginRight: windowWidth(4),
    marginLeft: windowWidth(-1),
  },
})
export default styles
